function OnWarpEnter() 
	SetMarker("cs\\Warp_0081.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0159.wp" , 0 , 0) 
	Music_Change = false


	if ETAT_DAY == "D4" then 

		if not TOOK_FOURTH_BOOK_D4 then
			PutObject("jae1",true)
			SetMarker("jae1",2,0) 
		end

		if HOLE_FALLEN then
			StartAnimationPart("jbe1",1,2,-1,false)
			if not EscapeFromW82 then
				EscapeFromW82 = true
			end
		end

		if not HOLE_FALLEN and FIRST_ENGRAVED then
			PutObject("jpe1",true)
		end

		if not HOLE_FALLEN and SECOND_ENGRAVED then
			PutObject("jse1",true)
		end

		if not SWORD_PICKED then
			StartAnimationPart("jie1",81,82,-1,false)
		end

		if not SHIELD_PICKED then
			StartAnimationPart("jje1",81,82,-1,false)
		end

	end 

	if ETAT_DAY == "D5" then 

	end 
end

function OnWarpLeave()
	--[[if Music_Change then
		-- Musique
		Music_Change = false
		PlayMusic("Sounds/Musiques/M_FouillerChambre.ogg")
	end]]
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0081.wp" then 
		if not HOLE_FALLEN then
			ChangeWarp(objectName)
		else
			DrawText("Ma3531","Ma3531.ogg",0)
		end
	end

	if objectName == "3D\\cs\\Warp_0159.wp" then 
		ChangeWarp(objectName)
		--Music_Change = true
		PlayMusic("Sounds/Musiques/M_FouillerChambre.ogg")
	end

--DAY1
	if ETAT_DAY == "D1" then 

		-- AMP
		if objectName == "jae1" then

		-- pierre H/D
		elseif objectName == "jpe1" then

		-- pierre B/G
		elseif objectName == "jse1" then

		-- éboulement
		elseif objectName == "jbe1" then

		-- épée
		elseif objectName == "jie1" then

		-- bouclier
		elseif objectName == "jje1" then

		end
	end 


	if ETAT_DAY == "D4" then 
		if objectName == "jae1" then
			if not TOOK_FOURTH_BOOK_D4 then
				TOOK_FOURTH_BOOK_D4 = true
				RemoveObject("jae1")
				AddToBag("E_amp4_livre")
				SetMarker("jae1",-1,0)
				SetDiaryPage(18, "Page18_02")
			end
		end
	end 

	if ETAT_DAY == "D5" then 

	end 
end
